<app-base-layout [enableMobileMenu]="true" [mobileHeaderDashBoard]="true">
  <div class="container-lg">
    <div class="header-wrapper mt-4">
      <div class="row">
        <div class="col-12 col-md-8">
          <div class="refer-client">
            <div class="card">
              <div class="card-body">
                <div class="row align-items-center">
                  <div class="col-12 col-md-3 text-white refer-client-header-text">
                    <img src="assets/icons/refer-client.svg" class="icon" />REFER
                    CLIENT
                  </div>
                  <div class="col-12 col-md-6">
                    <form [formGroup]="referClientForm">
                      <div class="form-group">
                        <input
                          type="email"
                          class="form-control"
                          placeholder="Enter Email"
                          formControlName="email_id"
                        />
                      </div>
                    </form>
                  </div>
                  <div class="col-6 col-md-3 refer-btn">
                    <button type="submit" class="btn btn-light" (click)="referClient()" [disabled]="!referClientForm.valid">Send</button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="col-12 col-md-4">
          <div class="codes-details">
            <div class="card">
              <div class="card-body">
                <div class="row mb-2">
                  <div class="col-6 text">RM Code:</div>
                  <div class="col-6 value">{{advisor_code}}</div>
                </div>
                <div class="row">
                  <div class="col-6 text">Partner Code:</div>
                  <div class="col-6 value">{{partner_code}}</div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- end header-wrapper -->
    <div class="row mt-5">
      <div class="col-12 col-md-6">
        <div class="heading mb-3">
          <div class="row">
            <div class="col">Your Client List</div>
            <div class="col-auto" *ngIf="client_list.length > 9"><a routerLink="client-list" >View all</a></div>
          </div>
        </div>
        <div class="text-center" *ngIf="client_list.length == 0">
          <h6>no records to display</h6>
        </div>
        <app-client-list-card *ngFor="let clientlist of client_list" 
        [name]="clientlist.name"
        [email_id]="clientlist.email_id"
        [customerId]="clientlist.customer_id"
        [viewPortfolioAllow]="clientlist.current_stage == 3 ? true : false"
        >
        </app-client-list-card>
        <!-- client list info card -->
      </div>
      <div class="col-12 col-md-6">
        <div class="heading mb-3">
          <div class="row">
            <div class="col">Pending Invites</div>
            <div class="col-auto" *ngIf="pending_client_list.length > 9"><a routerLink="pending-invites">View all</a></div>
          </div>
        </div>
        <div class="text-center" *ngIf="pending_client_list.length == 0">
          <h6>no records to display</h6>
        </div>
        <app-client-list-card  *ngFor="let pendinglist of pending_client_list"
        [name]="pendinglist.name"
        [email_id]="pendinglist.email_id"
        [date]="pendinglist.createdAt"
        [viewPortfolioAllow]="false"
        >

        </app-client-list-card>
        <!-- pending client list -->
      </div>
    </div>
    <!-- end list  -->
  </div>
</app-base-layout>
